Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_POA_Current Class Reference

`#include <Object_Adapter.h>`

Inheritance diagram for TAO_POA_Current:

[legend]
Collaboration diagram for TAO_POA_Current:

[legend]
List of all members.

## Public Methods
| TAO_POA_Current (void)
| Constructor.
PortableServer::POA_ptr | get_POA (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException, PortableServer::Current::NoContext)
PortableServer::ObjectId * | get_object_id (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException, PortableServer::Current::NoContext)
TAO_POA_Current_Impl * | implementation (void)
| Returns the class that implements this interface.
TAO_POA_Current_Impl * | implementation (TAO_POA_Current_Impl *new_current)

## Constructor & Destructor Documentation

ACE_INLINE TAO_POA_Current::TAO_POA_Current | ( | void |  | ) |

| Constructor.

## Member Function Documentation

PortableServer::ObjectId * TAO_POA_Current::get_object_id | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException, PortableServer::Current::NoContext)`[virtual]`

| Returns the object id of the current request being invoked. Can raise the <CORBA::NoContext> exception if this function is not invoked in the context of an upcall. Implements PortableServer::Current.

PortableServer::POA_ptr TAO_POA_Current::get_POA | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException, PortableServer::Current::NoContext)`[virtual]`

| Returns the POA on which the current request is being invoked. Can raise the <CORBA::NoContext> exception if this function is not invoked in the context of an upcall. Implements PortableServer::Current.

TAO_POA_Current_Impl * TAO_POA_Current::implementation | ( | TAO_POA_Current_Impl * | new_current | ) |

| Sets the thread-specific pointer to the new POA Current state, returning a pointer to the existing POA Current state.

TAO_POA_Current_Impl * TAO_POA_Current::implementation | ( | void |  | ) |

| Returns the class that implements this interface.

The documentation for this class was generated from the following files:

- Object_Adapter.h
- Object_Adapter.cpp
- Object_Adapter.i